Oore CI
ReferenceAPIOperationsSetup

Verify owner OIDC callback

Completes the setup OIDC flow by exchanging the authorization code for tokens and creating the owner account.

Operation IDsetup_oidc_verify
POST
/v1/setup/owner/verify-oidc

Completes the setup OIDC flow by exchanging the authorization code for tokens and creating the owner account.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/setup/owner/verify-oidc" \  -H "Content-Type: application/json" \  -d '{    "code": "string",    "state": "string"  }'
{  "oidc_subject": "string",  "owner_email": "string",  "session_expires_at": 0,  "state": "uninitialized"}